## mingw-w64-waf-2.1.8-1.src.tar.zst

=== build_system_kit/nostate/wscript ===
#! /usr/bin/env python
# encoding: utf-8
# Thomas Nagy, 2010 (ita)

"""
See README.txt
"""

def build(bld):
	bld.program(source='main.c', target='app', use='mylib', cflags=['-O2'])
	bld.stlib(source='a.c', target='mylib')

=== demos/c/wscript ===
#! /usr/bin/env python
# encoding: utf-8
# Thomas Nagy, 2006-2012 (ita)

# the following two variables are used by the target "waf dist"
VERSION='0.0.1'
APPNAME='cc_test'

# if you want to cross-compile, use a different command line:
# CC=mingw-gcc AR=mingw-ar waf configure build

top = '.'

from waflib import Configure, Logs, Utils
#Configure.autoconfig = True # True/False/'clobber'

def options(opt):
	opt.load('compiler_c gnu_dirs')

def configure(conf):
	conf.load('compiler_c gnu_dirs')

	# compile and link in the default mode, which is c++ if present
	conf.check(fragment='int main() { return 0; }\n')

	# just compile in c mode, and do not link
	conf.check(fragment='int main() { return 0; }\n', features='c')

	try:
		conf.check(fragment="int main(int argc, char* argv[]) { return 0; }\n", execute=True) # 1
	except conf.errors.WafError:
		Logs.warn('You are probably using a cross-compiler (disabling specific configuration tests)')
		conf.check_library(test_exec=False)
	else:
		conf.check(fragment="""#include<stdio.h>\nint main(){fprintf(stderr, "mu"); printf("%d", 22);return 0;}\n""",
			msg='Checking for exec results', execute=True, define_name='HAVE_MU')
		conf.check(fragment='int main(int argc, char* argv[]) { return argc - 2;}',
			msg='Checking for test arguments', test_args=['--foo=bar'], execute=True)
		conf.check_library(test_exec=True)

	conf.check(lib='m', cflags='-Wall', defines=['var=foo', 'x=y'], uselib_store='M', mandatory=False)
	conf.check_large_file(mandatory=False)
	conf.check_inline()

	endianness = conf.check_endianness()
	conf.define_cond("BIG_ENDIAN", endianness == "big")

	def test_build(ctx):
		ctx(rule='echo hello', shell=True, always=True)
		# Configuration tests may even be re-used:
		#ctx.in_msg = True # suppress console outputs
		#ctx.check_large_file(mandatory=False)

	conf.multicheck(
		# list of conf.check() arguments
		{'header_name':'stdio.h', 'msg':'... stdio', 'uselib_store': 'STDIO'},
		{'header_name':'xyztabcd.h', 'msg':'... optional xyztabcd.h', 'mandatory': False},
		{'header_name':'stdlib.h', 'msg':'... stdlib', 'okmsg': 'aye', 'errmsg': 'nope'},
		{'func': test_build, 'msg':'... testing an arbitrary build function', 'okmsg':'ok'},

		# parallelism control with after_tests/before_tests
		{'header_name':'malloc.h', 'msg':'... malloc', 'uselib_store':'MALLOC', 'id':'malloc_t', 'mandatory':False},
		{'header_name':'unistd.h', 'msg':'... unistd', 'uselib_store':'UNISTD', 'before_tests':['malloc_t'], 'mandatory':False},

		msg       = 'Checking for headers in parallel',
		#mandatory = False, # set to False to make all tests non-mandatory
		#run_all_tests = False # set to False to stop at the first error
	)

	conf.check(header_name='stdio.h', auto_add_header_name=True)
	#conf.check(header_name='unistd.h')
	conf.check(fragment='int main() {return 0;}\n')
	conf.write_config_header('config.h')

	# exclude system libraries, force a particular folder (see strictlib below)
	#conf.check(features='c cprogram strictlib', lib = 'gif', libpath = ['/opt/lib'])

def build(bld):
	bld.env.DEFINES=['WAF=1']

	bld.recurse('program stlib stlib-deps shlib')
	#bld.install_files('/tmp/foo', 'wscript')
	#bld.env.PREFIX='/tmp/foo'
	bld.install_files('${PREFIX}/', 'program/a.h  program/main.c', relative_trick=False)
	bld.install_as('${PREFIX}/gnigni.txt', 'wscript')
	bld.symlink_as('${PREFIX}/libfoo.so', 'wscript')

	p = Utils.subst_vars('${PREFIX}/gnigni.txt', bld.env)
	bld.symlink_as('${PREFIX}/share/gnigni-abs.txt', p, relative_trick=False)
	bld.symlink_as('${PREFIX}/share/gnigni-rel.txt', p, relative_trick=True)

	bld.env.FOO =['m', 'ncurses']
	bld.env.ST = '-L%s'
	bld.env.A = 'aye'
	bld.env.B = 'doh'
	bld.env.SRCA = ['aaa']
	bld(rule='echo ${ST:FOO} ${ST:SRC} ${A}${B} ${ST:SRCA} ${ST:SRC[0].abspath()}',
		always=True, source='wscript', shell=1, name='Shell')
	if not Utils.is_win32:
		bld(rule='echo ${ST:FOO} ${ST:SRC} ${A}${B} ${ST:SRCA} ${ST:SRC[0].abspath()}',
			always=True, source='wscript', shell=0,
			stdout=None, stderr=None,  # disable synchronized outputs on this rule
			cls_keyword=lambda x:'Trying again', name='NoShell')

	# illustrate how to add a command 'foo' and to execute things in it
	if bld.cmd == 'foo':
		def bar(bld):
			print('myprogram exit status is',
				bld.exec_command(bld.get_tgen_by_name('myprogram').link_task.outputs[0].abspath()))
		bld.add_post_fun(bar)
		#bld(rule='echo ${SRC} ${tsk.generator.newsize}', newsize='256x256', source='wscript')

# command examples

from waflib.Build import BuildContext
class foo_class(BuildContext):
	cmd = 'foo'

from waflib.Context import Context
class package_class(Context):
	"""just a test, try calling 'waf package' """
	cmd = 'package'
	fun = 'package'

def package(ctx):
	print('just a test', ctx.path.ant_glob('wscript'))

# and a task generator method example

from waflib import TaskGen
@TaskGen.feature('strictlib')
def check_lib_in_libpath(self):
	#For use in a configuration check: raise an exception
	#if the library file does not exist in the folders pointed by 'libpath'
	pths = self.to_list(getattr(self, 'libpath', []))
	if pths:
		for l in self.to_list(Utils.to_list(getattr(self, 'lib', []))):
			for x in pths:
				names = Utils.listdir(x)
				lname = self.env.cshlib_PATTERN % l
				if lname in names:
					break
			else:
				self.bld.fatal('wrong path for the library %s' % l)

=== demos/glib2/wscript ===
#! /usr/bin/env python
# encoding: utf-8
# Thomas Nagy, 2005, 2010 (ita)

VERSION='0.0.1'
APPNAME='glib2_test'

top = '.'
out = 'build'

import os

def options(opt):
	opt.load ('compiler_c glib2')

def configure(conf):
	conf.load ('compiler_c glib2')

	conf.check_cfg (package='glib-2.0', uselib_store='GLIB', atleast_version='2.25.0',
	                args='--cflags --libs')
	conf.check_cfg (package='gio-2.0', uselib_store='GIO', atleast_version='2.25.0',
	                args='--cflags --libs')
	conf.check_cfg (package='gobject-2.0', uselib_store='GOBJECT', atleast_version='2.25.0',
	                args='--cflags --libs')


def build(bld):
	app = bld (
		features = 'c cprogram glib2',
		use      = 'GLIB GIO GOBJECT',
		source   = 'main.c org.glib2.test.gresource.xml',
		target   = 'gsettings-test'

		## An alternate way of doing this (no need to call add_ functions):
		# settings_enum_namespace = 'org.gsettings.test'
		# settings_enum_files = ['enums.h']
		# settings_schema_files = ['org.gsettings.test.gschema.xml']
	)

	app.add_settings_enums ('org.gsettings.test', 'enums.h')
	app.add_settings_schemas (['org.gsettings.test.gschema.xml',
	                           'org.gsettings.test-2.gschema.xml'])

	app.add_marshal_file('marshal.list', 'test_marshal')

	bld(
		features = 'gresource',
		source   = 'org.glib2.test.gresource.xml',
		install_path = 'lib/glib2_test'
	)

	# Install a schema to a different location.
	# It will be compiled to a cache file besides it.
	bld(
		features = 'glib2',
		settings_schema_files = ['org.gsettings.simple.gschema.xml']
	).env.GSETTINGSSCHEMADIR = os.path.join('etc', 'glib-2.0', 'schemas')

=== demos/java/wscript ===
#! /usr/bin/env python
# encoding: utf-8
# Thomas Nagy, 2006-2010 (ita)

"""
java example

The gcj compiler has a very different command-line - see playground/gcj
"""

VERSION = '0.0.4'
APPNAME = 'java_test'

top = '.'
out = 'build'

def options(opt):
	opt.load('junit', tooldir='.')

def configure(conf):
	conf.load('java')

	try:
		ret = conf.load('junit', tooldir='.')
		conf.env.DO_JUNIT = True
	except:
		pass

	conf.check_java_class('java.io.FileOutputStream')
	conf.check_java_class('FakeClass')

	conf.env.CLASSPATH_NNN = ['aaaa.jar', 'bbbb.jar']

def build(bld):

	bld(features   = 'javac jar javadoc',
		srcdir     = 'src/', # folder containing the sources to compile
		outdir     = 'src', # folder where to output the classes (in the build directory)
		compat     = '8', # java compatibility version number
		sourcepath = ['src', 'sup'],
		classpath  = ['.', '..'],
		#jaropts = ['-C', 'default/src/', '.'], # can be used to give files
		basedir    = 'src', # folder containing the classes and other files to package (must match outdir)
		destfile   = 'foo.jar', # do not put the destfile in the folder of the java classes!
		use        = 'NNN',

		# javadoc
		javadoc_package	= ['com.meow' , 'com.meow.truc.bar', 'com.meow.truc.foo'],
		javadoc_output	= 'javadoc',
	)

	bld.recurse('animals cats bengala')

=== demos/mac_app/wscript ===
#! /usr/bin/env python
# encoding: utf-8
# Chris Pickel, 2011

VERSION='0.0.1'
APPNAME='mac_app_test'

top = '.'
out = 'build'

def options(opt):
	opt.load('compiler_c')
	try:
		# you must include the xcode generator in your waf file if you want to use it
		opt.load('xcode')
	except ImportError:
		pass

def configure(conf):
	conf.load('compiler_c')
	if not conf.env.ARCH_ST:
		conf.fatal('This example is for macs only')
	conf.env.FRAMEWORK_COCOA = 'Cocoa'
	conf.env.ARCH_COCOA = ['x86_64', 'arm64']

def build(bld):
	bld.program(
		features       = 'c cprogram',
		target         = 'MacApp',
		source         = 'sources/main.m',
		mac_app        = True,
		mac_plist      = 'Info.plist',
		mac_files      = bld.path.ant_glob('resources/**'),
		mac_files_root = 'resources',
		use            = 'COCOA',
		install_path   = '${PREFIX}',
	)

	return
	# obscure iphone stuff

	bld.env.LIPO = '/usr/bin/lipo'
	ARCH = {'arm6':'arm6', 'cocoa': ['i386', 'x64']}
	for arch, val in ARCH.items():
		bld.env.ARCH = val
		bld(source='sources/dump_sbpl.c', target='%s/dump_sbpl' % arch, features='c cprogram')

	bld(rule='touch ${TGT} # ${LIPO} -create ${SRC} -output ${TGT}',
		shell = True,
		target = 'dump_sbpl.app/dump_sbpl',
		source = ['%s/dump_sbpl' % x for x in ARCH.keys()]
	)

from waflib import TaskGen
@TaskGen.extension('.m')
def m_hook(self, node):
	"""Alias .m files to be compiled the same as .c files, gcc will do the right thing."""
	return self.create_compiled_task('c', node)

# -*- indent-tabs-mode: t -*-

=== demos/perl/wscript ===
#! /usr/bin/env python
# encoding: utf-8
# anonymous coward, 2007
# Thomas Nagy, 2010

VERSION='0.0.1'
APPNAME='perl_test'

top = '.'
out = 'build'

def options(opt):
	opt.load('compiler_c')
	opt.load('perl')

def configure(conf):
	conf.load('compiler_c')
	conf.load('perl')

	# check for perl
	conf.check_perl_version((5,6,0))

	conf.check_perl_ext_devel()

	# check for some perl module...
	conf.check_perl_module('Cairo')
	# ...and a specific version
	conf.check_perl_module('Devel::PPPort 4.89')

def build(bld):

	# a perl extension module
	bld(
		features     = 'c cshlib perlext',
		source       = 'Mytest.xs',
		target       = 'Mytest',
		install_path = '${ARCHDIR_PERL}/auto')

	bld.install_files('${ARCHDIR_PERL}', 'Mytest.pm')

=== demos/subst/wscript ===
#! /usr/bin/env python
# encoding: utf-8

top = '.'
out = 'bin'

import os, re
from waflib import Utils

def configure(conf):
	pass

def build(bld):

	# the test.pc.in is a special case which is always handled
	bld(source='test.pc.in', VERSION='1.1', LIBS='moo', XPM_LIBS='-lxpm', LIBICONV='-liconv', XPM_CFLAGS='-O3', INTVAR=12)

	tg = bld(
		features     = 'subst', # the feature 'subst' overrides the source/target processing
		source       = 'foo.in', # list of string or nodes
		target       = 'foo.txt', # list of strings or nodes
		encoding     = 'ascii', # file encoding for python3, default is latin-1
		install_path = '/tmp/uff/', # installation path, optional
		chmod        = Utils.O755, # installation mode, optional
		PREFIX       = bld.env.PREFIX, # variables to use in the substitution
		re_m4        = re.compile(r'%%(\w+)%%', re.M), # custom substitution
		BINDIR       = bld.env.BINDIR)

	# if you are using an external dict, here is to merge the key/values:
	dct =  {'BINDIR': '/opt'}
	tg.__dict__.update(dct)

	# if you want a file copy, pass "is_copy=True"
	bld(features='subst', source='wscript', target='wscript', is_copy=True)

	# same thing with a simple function
	def fun(task, text):
		return text
	bld(features='subst', subst_fun=fun, source='wscript', target='wscript2')

	def hlink(task):
		try:
			link = os.link
		except AttributeError:
			task.outputs[0].write(task.inputs[0].read('rb'), 'wb')
		else:
			for x, y in zip(task.inputs, task.outputs):
				try:
					os.remove(y.abspath())
				except OSError:
					pass
				os.link(x.abspath(), y.abspath())
	bld(features='subst', fun=hlink, source='wscript', target='wscript3')

	# this one is just a reminder that simple files can be created (and a test too)
	bld(rule='echo "การไฟ่" > ${TGT}', target='uni.txt')

	# and this is an alternate syntax
	#@bld.rule(source='wscript', target='wscript2')
	#def _(tsk):
	#	tsk.outputs[0].write(tsk.inputs[0].read())

=== docs/sphinx/wscript ===
#!/usr/bin/env python
# encoding: utf-8
# Jérôme Carretero, 2010 (zougloub)

import sys, os
from waflib.Utils import subprocess

"""
"""

top = '.'
out = 'build'

def options(opt):
	opt.load('daemon', tooldir=['../../playground/daemon/'])

def configure(cfg):
	cfg.find_program('dot', var='DOT')
	cfg.find_program('convert', var='CONVERT')
	cfg.load('daemon', tooldir=['../../playground/daemon/'])
	cfg.find_program("sphinx-build", var="SPHINX_BUILD")
	cfg.env.SPHINX_ARGS = ['-W']

def build(bld):
	bld.path.make_node('_static').mkdir()
	bld(
		rule   = "${SPHINX_BUILD} ${SPHINX_ARGS} -b html -d %s . %s" % (os.path.join(out, "doctrees"), os.path.join(out, "html")),
		cwd    = bld.path,
		source = bld.path.parent.parent.find_dir('waflib').ant_glob('**/*.py')
			+ bld.path.ant_glob('**/*.rst')
			+ bld.path.ant_glob('_templates/indexcontent.html')
			+ bld.path.ant_glob('conf.py'),
		target = bld.path.find_or_declare('html/index.html')
	)

=== playground/c-objects-stlib-shlib/wscript ===
#! /usr/bin/env python
# encoding: utf-8
# Jérôme Carretero, 2013 (zougloub)

"""
Demonstration for building of static+shared libraries.
"""


def options(opt):
	opt.load('compiler_c gnu_dirs')

def configure(conf):
	conf.load('compiler_c gnu_dirs')

def build(bld):

	bld(
	 features='c',
	 source='test_shlib.c',
	 # it is -uselib' in this case to avoid propagation of '-shared'
	 # to the program below. A more explicit alternative is to set
	 # cflags=bld.env.CFLAGS_cshlib
	 uselib='cshlib',
	 target='objects-for-shlib',
	)

	bld(
	 features='c',
	 source='test_shlib.c',
	 target='objects-for-stlib',
	)

	bld(
	 features='c cshlib',
	 target='something-shared',
	 vnum='1.2.3',
	 use='objects-for-shlib',
	)

	bld(
	 features='c cstlib',
	 target = 'something-static',
	 use='objects-for-stlib',
	)

	bld(
	 features='c cprogram',
	 target='exe-shared',
	 source='main.c',
	 use='something-shared',
	)

	bld(
	 features='c cprogram',
	 target='exe-static',
	 source='main.c',
	 use='something-static',
	)

=== playground/clang_compilation_database/wscript ===
#! /usr/bin/env python
# encoding: utf-8
# Alibek Omarov, 2019 (a1batross)

import os
from waflib import ConfigSet, Logs

VERSION='0.0.1'
APPNAME='clang_compilation_database_test'

top = '.'
out = 'build'

INCLUDES_TO_TEST = ['common'] # check if include flag appeared in result json
DEFINES_TO_TEST = ['TEST'] # check if definition flag will appear in result json
SOURCE_FILES_TO_TEST = ['a.c', 'b.cpp'] # check if source files are persist in database

def actual_test(bld):
	db = bld.bldnode.find_node('compile_commands.json').read_json()

	for entry in db:
		env = ConfigSet.ConfigSet()
		line = ' '.join(entry['arguments'][1:]) # ignore compiler exe, unneeded
		directory = entry['directory']
		srcname = entry['file'].split(os.sep)[-1] # file name only

		bld.parse_flags(line, 'test', env) # ignore unhandled flag, it's harmless for test

		if bld.bldnode.abspath() in directory:
			Logs.info('Directory test passed')
		else:
			Logs.error('Directory test failed')

		if srcname in SOURCE_FILES_TO_TEST:
			Logs.info('Source file test passed')
		else:
			Logs.error('Source file test failed')

		passed = True
		for inc in INCLUDES_TO_TEST:
			if inc not in env.INCLUDES_test:
				passed = False

		if passed: Logs.info('Includes test passed')
		else: Logs.error('Includes test failed')

		passed = True
		for define in DEFINES_TO_TEST:
			if define not in env.DEFINES_test:
				passed = False
		if passed: Logs.info('Defines test passed')
		else: Logs.error('Defines test failed')

def options(opt):
	# check by ./waf clangdb
	opt.load('compiler_c compiler_cxx clang_compilation_database')

def configure(conf):
	# check if database always generated before build
	conf.load('compiler_c compiler_cxx clang_compilation_database')

def build(bld):
	bld.shlib(features = 'c cxx', source = SOURCE_FILES_TO_TEST,
		defines = DEFINES_TO_TEST,
		includes = INCLUDES_TO_TEST,
		target = 'test')

	bld.add_post_fun(actual_test)

=== playground/erlang/wscript ===
#! /usr/bin/env python

def configure(conf):
	conf.load('erlang')

def build(bld):
	bld(source='hello.erl', includes=['inc'])

	# This requires EUnit. The Erlangs EUnit header files are available erlang-dev package.
	bld(source=['hello_eunit.erl', 'hello.beam'], includes=['inc'], features="eunit")
	bld(source=['hello.erl'], includes=['inc'], features="edoc")

=== playground/file_climbing/wscript ===
#! /usr/bin/env python
# encoding: utf-8
# Thomas Nagy, 2014-2015 (ita)

"""
Climb dependencies without using build groups and without annotating them.

In practice, one may want to avoid this:
* This adds some overhead as the task generators have to be searched and processed
* This is also unlikely to work in the real-world (complex targets, not all dependencies are file-based, etc)
* This also makes the dependencies more complicated to understand when reading a wscript file (what requires what?)

This example will create "d.txt" and all the required files but no "aa*.txt".
The target "john" is hard-coded below, just call "waf", or comment the line to call "waf --targets=john"
"""

VERSION='0.0.1'
APPNAME='file_climbing'

top = '.'
out = 'build'

def options(opt):
	return

def configure(conf):
	return

def build(bld):
	for i in range(10):
		bld(rule='cp ${SRC} ${TGT}', source='a.txt', target='aa%d.txt' % i)
	bld(rule='cp ${SRC} ${TGT}', source='a.txt', target='b.txt')
	bld(rule='cp ${SRC} ${TGT}', source='b.txt', target='c.txt')
	bld(rule='cp ${SRC} ${TGT}', source='c.txt', target='d.txt', name='john')

	# HERE
	bld.targets = 'john'

import os
from waflib import Utils
from waflib.TaskGen import before_method, feature

@feature('*')
@before_method('process_source', 'process_rule')
def post_other_task_generators_if_necessary(self):

	if not self.bld.targets:
		return

	if not getattr(self, 'source', None):
		return

	group = self.bld.get_group(self.bld.get_group_idx(self))
	for x in Utils.to_list(self.source):
		y = os.path.split(x)[1]

		for tg in group:
			if id(tg) == id(self):
				continue

			if getattr(tg, 'target', None):
				pass

			for target in Utils.to_list(tg.target):
				y2 = os.path.split(target)[1]

				if y == y2:
					tg.post()

=== PKGBUILD ===
# Maintainer: Alexey Pavlov <alexpux@gmail.com>

_realname=waf
pkgbase=mingw-w64-${_realname}
pkgname="${MINGW_PACKAGE_PREFIX}-${_realname}"
pkgver=2.1.8
pkgrel=1
pkgdesc="General-purpose build system modelled after Scons (mingw-w64)"
arch=('any')
mingw_arch=('mingw64' 'ucrt64' 'clang64' 'clangarm64')
url="https://waf.io/"
msys2_repository_url="https://gitlab.com/ita1024/waf"
msys2_changelog_url='https://gitlab.com/ita1024/waf/-/blob/master/ChangeLog'
license=('spdx:BSD-3-Clause')
depends=("${MINGW_PACKAGE_PREFIX}-python")
makedepends=("${MINGW_PACKAGE_PREFIX}-cc")
options=('!emptydirs')
source=("https://waf.io/${_realname}-${pkgver}.tar.bz2"{,.asc})
validpgpkeys=('8AF22DE5A06822E3474F3C7049B4C67C05277AAA'
              '0B3972B2D9E32EAB423D2E0F22BE0C62FFBFA548'  # "Thomas Nagy <tnagy@waf.io>"
              '8C7EB2F93B0C45F5732FE5D11BAC571DCD772295') # Waf Project <noreply@waf.io>
sha256sums=('d9a2bf04957c509e6316a285754025f468af2e3d69a9a1a14874815c2cc6e049'
            'SKIP')

prepare() {
  cd "${srcdir}/${_realname}-${pkgver}"

  # Extract license
  head -n 30 waf-light | tail -n 25 > LICENSE
}

build() {
  cd "${srcdir}/${_realname}-${pkgver}"
  plain "Configure ..."
  ${MINGW_PREFIX}/bin/python ./waf-light configure --prefix=${MINGW_PREFIX}
  plain "Make waf ..."
  ${MINGW_PREFIX}/bin/python ./waf-light --make-waf
}

package() {
  cd "${srcdir}/${_realname}-${pkgver}"

  prelude=$(cat <<'EOF'
	import waflib.Tools.compiler_c, waflib.Tools.compiler_cxx
	waflib.Tools.compiler_c.c_compiler['win32'] = ['gcc', 'clang', 'msvc']
	waflib.Tools.compiler_cxx.cxx_compiler['win32'] = ['g++', 'clang++', 'msvc']
EOF
  )

  ${MINGW_PREFIX}/bin/python ./waf-light install -f --destdir="${pkgdir}" \
    --prelude="${prelude}" \
    --tools='compat,compat15,ocaml,go,cython,scala,erlang,cuda,gcj,boost,pep8,eclipse,unity,clang_compilation_database'

  install -Dm755 waf "${pkgdir}${MINGW_PREFIX}/bin/waf"
  install -Dm755 waf.bat "${pkgdir}${MINGW_PREFIX}/bin/waf.bat"

  # Force the generation of .waf.admin files
  cd "${srcdir}/${_realname}-${pkgver}/demos/c"
  CC_NAME=${CC} CC="${MINGW_PREFIX}/bin/${CC}.exe" \
  CXX_NAME=${CXX} CXX="${MINGW_PREFIX}/bin/${CXX}.exe" \
  "${pkgdir}${MINGW_PREFIX}/bin/waf" configure build

  # Fix weird directory placement (FS#38216, FS#38300)
  mkdir -p "${pkgdir}${MINGW_PREFIX}/lib/waf"
  mv "${pkgdir}${MINGW_PREFIX}/bin/waf3-${pkgver}-"* "${pkgdir}${MINGW_PREFIX}/lib/waf/"
  sed -s "s|INSTALL=''|INSTALL='${MINGW_PREFIX}/lib/waf'|g" -i "${pkgdir}${MINGW_PREFIX}/bin/waf"

  cd "${srcdir}/${_realname}-${pkgver}"
  install -Dm644 LICENSE "${pkgdir}${MINGW_PREFIX}/share/licenses/${_realname}/LICENSE"
}
